DK API 文档

instagram 04

15 个接口

GETfetch user tagged posts

GET https://dkai.store/api/v1/instagram/v2/fetch_user_tagged_posts

2 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/fetch_user_tagged_posts'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETmedia id to shortcode

GET https://dkai.store/api/v1/instagram/v2/media_id_to_shortcode

2 积分 / 成功调用

参数位置要求说明
media_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/media_id_to_shortcode?media_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETsearch by coordinates

GET https://dkai.store/api/v1/instagram/v2/search_by_coordinates

2 积分 / 成功调用

参数位置要求说明
latitudequery必填
longitudequery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/search_by_coordinates?latitude=VALUE&longitude=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETsearch hashtags

GET https://dkai.store/api/v1/instagram/v2/search_hashtags

2 积分 / 成功调用

参数位置要求说明
keywordquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/search_hashtags?keyword=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETsearch locations

GET https://dkai.store/api/v1/instagram/v2/search_locations

2 积分 / 成功调用

参数位置要求说明
keywordquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/search_locations?keyword=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETsearch music

GET https://dkai.store/api/v1/instagram/v2/search_music

2 积分 / 成功调用

参数位置要求说明
keywordquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/search_music?keyword=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETsearch reels

GET https://dkai.store/api/v1/instagram/v2/search_reels

2 积分 / 成功调用

参数位置要求说明
keywordquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/search_reels?keyword=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETsearch users

GET https://dkai.store/api/v1/instagram/v2/search_users

2 积分 / 成功调用

参数位置要求说明
keywordquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/search_users?keyword=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETshortcode to media id

GET https://dkai.store/api/v1/instagram/v2/shortcode_to_media_id

2 积分 / 成功调用

参数位置要求说明
shortcodequery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/shortcode_to_media_id?shortcode=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETuser id to username

GET https://dkai.store/api/v1/instagram/v2/user_id_to_username

2 积分 / 成功调用

参数位置要求说明
user_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v2/user_id_to_username?user_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETbulk translate comments

GET https://dkai.store/api/v1/instagram/v3/bulk_translate_comments

7 积分 / 成功调用

参数位置要求说明
comment_idsquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v3/bulk_translate_comments?comment_ids=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETextract shortcode

GET https://dkai.store/api/v1/instagram/v3/extract_shortcode

2 积分 / 成功调用

参数位置要求说明
urlquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v3/extract_shortcode?url=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETgeneral search

GET https://dkai.store/api/v1/instagram/v3/general_search

7 积分 / 成功调用

参数位置要求说明
queryquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v3/general_search?query=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget comment replies

GET https://dkai.store/api/v1/instagram/v3/get_comment_replies

7 积分 / 成功调用

参数位置要求说明
media_idquery必填
comment_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v3/get_comment_replies?media_id=VALUE&comment_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。